#if !defined(AFX_CARDHOLDERSEARCH_H__35475446_5397_4836_B03E_6E38730526ED__INCLUDED_)
#define AFX_CARDHOLDERSEARCH_H__35475446_5397_4836_B03E_6E38730526ED__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CardHolderSearch.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCardHolderSearch dialog

class CCardHolderSearch : public CDialog
{
// Construction
public:
	CCardHolderSearch(CWnd* pParent = NULL);   // standard constructor
	CCardHolderSearch(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CCardHolderSearch)
	enum { IDD = IDD_CH_SEARCH };
	CComboBox	m_FieldList;
	CListCtrl	m_CHList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CString	m_sData;
	int		m_iOperator;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCardHolderSearch)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCardHolderSearch)
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnBtnSearch();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadSubAccounts();
	void LoadSearchFields();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CARDHOLDERSEARCH_H__35475446_5397_4836_B03E_6E38730526ED__INCLUDED_)
